<?php
/*******************************************************************************
*  Title: Click Counter II
*  Version: 1.3 @ 16 September 2012
*     		1.3a - 22 May 2019
*  Author: Bart 'Roebie' Degryse
*	 v1.3a modifications by William 'Rick'Bisbee, Wendel Voight, and Brent Hemphill
*			to eliminate PHP 7.3 warnings
********************************************************************************
*  COPYRIGHT NOTICE
*  Copyright 2012 Bart 'Roebie' Degryse. All Rights Reserved.
*
*  This script may be used and modified free of charge by anyone
*  AS LONG AS COPYRIGHT NOTICES AND ALL THE COMMENTS REMAIN INTACT.
*  By using this code you agree to indemnify Bart 'Roebie' Degryse from any
*  liability that might arise from its use.
*
*  Selling the code for this program, in part or full, without prior
*  written consent is expressly forbidden.
*
*  Obtain permission before redistributing this software over the Internet
*  or in any other medium. In all cases copyright and header must remain
*  intact. This Copyright is in full effect in any country that has
*  International Trade Agreements with the European Union or
*  with the United States of America.
*
*  Removing any of the copyright notices without purchasing a license
*  is illegal! For more information on how to obtain a license
*  please contact me: bart dot degryse at joro dot be
********************************************************************************
* SETUP YOUR CLICK COUNTER
* Detailed information can be found in the readme file
*******************************************************/

/* Password for admin area */
$settings['apass']='clickkagiso63';

/* URL of the click.php file */
$settings['click_url']='http://adupree.com/click/click.php';

/* Count UNIQUE clicks ONLY? 1 = YES, 0 = NO   */
$settings['count_unique']=1;

/* Number of hours a visitor is considered as "unique" */
$settings['unique_hours']=24;

/* Path of the webroot */
$settings['webroot']='/home/mk0che/public_html';

/*************************
* OPTIONAL SETTINGS BELOW
**************************/

/* Path of the file where all the data is stored */
$settings['database']='ccount.db';

/* Path of the database access library */
$settings['accessor']='simpleDBAccessorSQLite.php';

/* Path of the download library */
$settings['downloadlib']='downloadlib.php';

/*****************************
* DO NOT EDIT BELOW THIS LINE
******************************/
if (!defined('IN_SCRIPT')) die('Invalid attempt!');
$settings['versie']='v1.3a';
?>
