<?php

function stats_admin() {
include("adminlib.php");

$admin_login = true;
include("checklogin.php");
include("version.php");

require("adminlog.php");

if( !$allow_edit || !$allow_delete ) $admin = 'false';
else $admin = 'true';

return $admin;
}


function det_country() {
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = @$_SERVER['REMOTE_ADDR'];
    $result  = array('country'=>'', 'city'=>'');
    if(filter_var($client, FILTER_VALIDATE_IP)){
        $ip = $client;
    }elseif(filter_var($forward, FILTER_VALIDATE_IP)){
        $ip = $forward;
    }else{
        $ip = $remote;
    }
    $ip_data = @json_decode(file_get_contents("http://www.geoplugin.net/json.gp?ip=".$ip));    
    if($ip_data && $ip_data->geoplugin_countryName != null){
        $result['country'] = $ip_data->geoplugin_countryCode;
        $result['city'] = $ip_data->geoplugin_city;
    }
    return $result['country'];
}

function locale_set() {
$locale = 'en-US';
if ($locale == '')
{
global $session_language;
$country = det_country();
$lang = str_replace('UTF8', '', $session_language);
$lg = substr($lang, 0, 2);
$lg = strtolower($lg);
$locale = $lg . '-' . $country;
}
return $locale;
}

function intnum_format($number, $locale)
{
$formatStyle=NumberFormatter::DECIMAL;
$formatter= new NumberFormatter($locale, $formatStyle);
$inum = $formatter->format($number);
if ($inum !='' ) return $formatter->format($number);
else return $number;
}

function stats_filter($tree, $def, $sef, $sosa, $somsg, $t30p)
{
if (preg_match('/&TP&(.*?)&TP&/', $t30p, $tmatch) == 1) { $tp = $tmatch[1]; }
if (preg_match('/&AP&(.*?)&AP&/', $t30p, $amatch) == 1) { $ap = $amatch[1]; }
if (preg_match('/&OT&(.*?)&OT&/', $t30p, $omatch) == 1) { $ot = $omatch[1]; }
if (preg_match('/&EF&(.*?)&EF&/', $t30p, $ematch) == 1) { $ef = $ematch[1]; }
if (preg_match('/&FB&(.*?)&FB&/', $t30p, $ematch) == 1) { $fb = $ematch[1]; }
if (preg_match('/&SU&(.*?)&SU&/', $t30p, $ematch) == 1) { $su = $ematch[1]; }
if (preg_match('/&AS&(.*?)&AS&/', $t30p, $ematch) == 1) { $as = $ematch[1]; }
// global $text['surname'];

if ($sdef != '' OR $sef != '' OR $somsg != '' ) $gsoup = '<h3>Filtered By: ' . $def . ' ' . $sef . ' ' . $somsg . '</h3>';

$gsoup .= treeDropdown(array('startform' => true, 'endform' => true, 'action' => $opaction, 'method' => 'get', 'name' => 'form1', 'id' => 'form1'));
$nofilter = 1;
$placefilter = 1;
$surnamefilter = 1;
$sosafilter = 1;

If ($nofilter == 1)
{
	$gsoup .= '<form id="submit" method="get">';
if ($placefilter == 1)
	{
	$places = top_30($tree, $def);
	$gsoup .= $fb . ' - ';
	$ap1 = str_replace('All ', '', $ap);
	$gsoup .= $ap1 . ': <select name="top30" id="top30" onchange="showfield(this.options[this.selectedIndex].value)">';
	$gsoup .= '<option value="">' . $ap . '</option>';
	$gsoup .= '<option value="Other"> - ' . $ot . ' - </option>';
	$gsoup .= $places;
	$gsoup .= '</select> ';
	$gsoup .= "
	<script type=\"text/javascript\">
	function showfield(name){

	if(name=='Other')document.getElementById('ochoice').innerHTML='Other: <input type=\"text\" name=\"uchoice\" />';
	else document.getElementById('ochoice').innerHTML='';

    }
	</script>	
	";
	$gsoup .= "<span id=\"ochoice\" style=\"display:inline-block;\"></span>";
	// $gsoup .= "<span id=\"dp\" style=\"display:inline-block;\" >" . $deathinput . "</span>";
	}
if ($surnamefilter == 1)
	{
	$surnames = top_surnames($tree, $sef);
	$gsoup .= $su . ': <select name="surname" id="surname" onchange="showfield2(this.options[this.selectedIndex].value)">';
	$gsoup .= '<option value="">' . $as . '</option>';
	$gsoup .= '<option value="Other"> - ' . $ot . ' - </option>';
	$gsoup .= $surnames;
	$gsoup .= '</select> ';
	$gsoup .= "
	<script type=\"text/javascript\">
	function showfield2(name){

	if(name=='Other')document.getElementById('schoice').innerHTML='Other: <input type=\"text\" name=\"schoice\" />';
	else document.getElementById('schoice').innerHTML='';
    }
	</script>
	<span id=\"schoice\" style=\"display:inline-block;\"></span>
	";
	}
$stest = is_sosa();
if (is_sosa() == 'sosayes' AND $sosafilter == 1 ) 
	{
	if ($sosa == 'yes') $gsoup .= 'Sosa: <input type="checkbox" name="sosa" value="yes" checked>';
	else $gsoup .= 'Sosa: <input type="checkbox" name="sosa" value="yes" > ';
	}
	$gsoup .= '<input type="hidden" name="tree" value="' . $tree . '" >';
	if ($_GET['jv'] ) $gsoup .= '<input type="hidden" name="jv" value="' . $_GET['jv'] . '" >';
	if ($_GET['vs'] ) $gsoup .= '<input type="hidden" name="vs" value="' . $_GET['vs'] . '" >';
	if ($_GET['jtype'] ) $gsoup .= '<input type="hidden" name="jtype" value="' . $_GET['jtype'] . '" >';
	if ($_GET['cnt'] ) $gsoup .= '<input type="hidden" name="cnt" value="' . $_GET['cnt'] . '" >';
	$gsoup .= '<input type="submit" value="' . $ef . '"></form><br><hr> ';
}
return $gsoup;
}

function top_30($tree, $def)
{
global $places_table;
include_once 'begin.php';
	$wherestr = "AND gedcom = \"$tree\"";
	if ($tree == '') $wherestr = '';
	$offset = $offset ? $offset + 1 : 1;
$query = "SELECT trim(substring_index(place,',',-$offset)) as myplace, count(place) as placecount FROM $places_table WHERE trim(substring_index(place,',',-$offset)) != \"\" $wherestr GROUP BY myplace ORDER by placecount DESC LIMIT 30";
$result = tng_query($query);
$maxcount = 0;
if ($def != '') $dt = 1;
if( $result ) 
	{
	$count = 1;
	$col = -1;
	while( $place = tng_fetch_assoc( $result ) ) 
		{
		$place = $place['myplace'];
		if ($place == $def ) 
			{
			$pman .= '&&&<option value="' . $place . '" selected >' . $place . '</option> ';
			$dt2 = 1;
			}
		else $pman .= '&&&<option value="' . $place . '" >' . $place . '</option> ';
		}
	}
$pman = sortstring($pman, $unique = true );

if ($dt == 1 AND $dt2 != 1 ) $pman = '<option value="' . $def . '" selected >' . $def . '</option>' . $pman; 

return $pman;

}

function sortstring($string) {
  $array = explode('&&&', $string); 
  sort($array);
  $string = implode('&&&',$array);  
  $string = str_replace("&&&", "", $string);
  return $string;
}

function is_sosa() {
include_once 'genlib.php';
if (function_exists('sosa_get_outer_menu')) return "sosayes";
else return "sosano";
}

function pstates() {
$i = 1;
$states = array('Alabama','Alaska','Arizona','Arkansas','California','Colorado','Connecticut','Delaware','District of Columbia','Florida','Georgia','Hawaii','Idaho','Illinois','Indiana','Iowa','Kansas','Kentucky','Louisiana','Maine','Maryland','Massachusetts','Michigan','Minnesota','Mississippi','Missouri','Montana','Nebraska','Nevada','New Hampshire','New Jersey','New Mexico','New York','North Carolina','North Dakota','Ohio','Oklahoma','Oregon','Pennsylvania','Rhode Island','South Carolina','South Dakota','Tennessee','Texas','Utah','Vermont','Virginia','Washington','West Virginia','Wisconsin','Wyoming',);
foreach ($states as $state)
{
if ($i == 1) $pls .= "birthplace = '" . $state . "' ";
else $pls .= " OR birthplace = '" . $state . "' ";
$pls .= " OR deathplace = '" . $state . "' ";
$pls .= " OR altbirthplace = '" . $state . "' ";
$pls .= " OR burialplace = '" . $state . "'";
$pls .= " OR birthplace like '%, " . $state . "'"; 
$pls .= " OR deathplace like '%, " . $state . "' ";
$pls .= " OR altbirthplace like '%, " . $state . "' ";
$pls .= " OR burialplace like '%, " . $state . "'";
$i = $i+1;
}
return $pls;
}

function search_disclaimer($text, $text2) {
$sd = "<br/><br/>\n";
$width = "300px";
$sd .= "<table width=\"$width\" cellpadding=\"3\" cellspacing=\"1\" border=\"0\" class=\"whiteback\">\n";
$sd .= "<tr><td  valign=\"top\" class=\"fieldnameback\"><span class=\"fieldname\"><sup><font size=\"1\">1</font></sup>&nbsp;</span></td>";
$sd .= "<td class=\"databack\"><span class=\"normal\">$text<br><br>$text2</span></td></tr>";
$sd .= "</table>\n";
return $sd;
}

function top_surnames($tree, $sef)
{
global $people_table;
include_once 'begin.php';
	$wherestr = "AND gedcom = \"$tree\"";
	if ($tree == '') $wherestr = '';
	$offset = $offset ? $offset + 1 : 1;
$query = "SELECT lastname as surname, count(lastname) as surnamecount FROM $people_table WHERE lastname != '' $wherestr GROUP BY lastname ORDER by surnamecount DESC LIMIT 30";
$result = tng_query($query);
$maxcount = 0;
if ($sef != '') $dt = 1;
if( $result ) 
	{
	$count = 1;
	$col = -1;
	while( $surname = tng_fetch_assoc( $result ) ) 
		{
		$surname = $surname['surname'];
		if (ctype_upper($surname)) $surname = ucwords(strtolower($surname));
		if (strtolower($surname) == strtolower($sef) ) 
			{
			$sman .= '&&&<option value="' . $surname . '" selected >' . $surname . '</option> ';
			$dt2 = 1;
			}
		else $sman .= '&&&<option value="' . $surname . '" >' . $surname . '</option> ';
		}
	}
$sman = sortstring($sman, $unique = true );

if ($dt == 1 AND $dt2 != 1 ) $sman = '<option value="' . $sef . '" selected >' . $sef . '</option>' . $sman; 

return $sman;

}


?>

    

