<?php

$textpart = "stats";
include("tng_begin.php");
$vets = '12, 10, 8, 31, 6, 29,';
$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );

$onpage = 'statistics_veterans.php?';
$opaction = 'statistics_veterans';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$onpage" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );

include("statistics_head.php");
include("statistics_func.php");
global $events_table, $eventtypes_table, $people_table;

echo '<h2>' . $text['veterans'] . '</h2>';

if ($_GET['sosa'] ) $add1 = "&sosa=" . $_GET['sosa'];
if ($_GET['top30'] ) $add1 .= "&top30=" . $_GET['top30'];

if ($tree == '' ) $add1 = 'tree=-x--all--x-'; else $add1 = 'tree=' . $tree;
if ($_GET['sosa'] ) $add1 .= "&sosa=" . $_GET['sosa'];
if ($_GET['top30'] ) $add1 .= "&top30=" . $_GET['top30'];

echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);

?>
<style>
#chart .c3-line-data2 {
  stroke-width: 5px;
}
</style>

<link href="css/c3.css" rel="stylesheet">
<script src="js/d3.min.js"></script>
<script src="js/c3.min.js"></script>
<div style="display:inline-block">
<?php

if($sitever != "standard") {
	if($tabletype == "toggle") $tabletype = "columntoggle";
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"100%\" style=\"maxwidth: 350px\" class=\"tablesaw whiteback normal\" data-tablesaw-mode=\"$tabletype\"{$headerr}>\n";
} else {
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"500\" class=\"whiteback normal\">";
}

echo $header;
?>
	<thead>
		<tr>
				<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['war']; ?>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback align-right fieldname" width="30%" align="center">&nbsp;<?php echo $text['quantity']; ?>&nbsp;</th>
		</tr>
	</thead>
<?php

$i =1; 
$veterans = array_filter(explode(',', $vets));
if ($vets == '') echo "No veteran events have been assigned to this page<br>";
foreach ($veterans as $vs)
{
           	$query = "SELECT COUNT(*) as cnt FROM $events_table WHERE eventtypeID = $vs $jwherestr GROUP BY eventtypeid ORDER BY cnt DESC";        	
           	$result =  tng_query($query);
           	$Row = mysqli_fetch_assoc($result);
			$amt = $Row['cnt'];
			$query = "SELECT display FROM $eventtypes_table WHERE eventtypeID = $vs ";        	
           	$result =  tng_query($query);
           	$Row = mysqli_fetch_assoc($result);
			$event = $Row['display'];
               				
			$jv = $event;
			$jc = $amt;

		if ( $jc != '' )
    	{
    	echo "<tr><td class=\"databack\" ><a href=\"statistics_veterans_folks.php?" . $add1 . "&jv=" . urlencode($jv) . "&vs=" . urlencode($vs) . "\" >" . $jv . "</td>";
		echo "<td class=\"databack\" align=\"right\">" . $jc . " &nbsp;</td>";         	 			
    	echo '</tr>'; 	
    	if ( $i >= 1 && $i < 6 ) { ${"j" . $i} = $jc; ${"jvar" . $i}  = $jv; }
		if ( $i >= 5 ) $jo = $jo + $jc;
		$jtotal = $jtotal + $jc;
		$i = ++$i;
		}
}

$jvaro = $text['other'];

$nj1 = number_format($j1); $nj2 = number_format($j2); $nj3 = number_format($j3); $nj4 = number_format($j5); $nj5 = number_format($j5); $njo = number_format($jo);
echo '</table>';
?>
</div>

<div id="charts" style="display:inline-block; width:400px; vertical-align:top">
<?php 
if ($j1) echo '<div style="text-align:center;" ><h3>' . $text['totalrec'] . ' ' . $text['veterans'] . ' = ' . $jtotal . '</div>'; 
if ($j2) echo '<div id="vets_chart"></div>';

echo '</div>';

// echo pstates();

?>

<script type="text/javascript">
var job_chart = c3.generate({
    bindto: '#vets_chart',
    data: {
        columns: [
            ['data1', <?php echo $j1; ?>],
            ['data2', <?php echo $j2; ?>],
            ['data3', <?php echo $j3; ?>],
            ['data4', <?php echo $j4; ?>],
            ['data5', <?php echo $j5; ?>],
            ['data6', <?php echo $jo; ?>]
        ],
        type : 'pie',
        names: {
            data1: "<?php echo $jvar1 . " ($nj1)"; ?>",
            data2: "<?php echo $jvar2 . " ($nj2)"; ?>",
            data3: "<?php echo $jvar3 . " ($nj3)"; ?>",
            data4: "<?php echo $jvar4 . " ($nj4)"; ?>",
            data5: "<?php echo $jvar5 . " ($nj5)"; ?>",
            data6: "<?php echo $jvaro . " ($njo)"; ?>"
        },
        colors: {
            data1: '#5DA5DA',
            data2: '#FAA43A',
            data3: '#60BD68',
            data5: '#B276B2',
            data5: '#DECF3F',
            data6: '#F15854'
        }
    }
});


</script>


<?php
tng_footer( "" );
?>