<?php
$textpart = "stats";
include("tng_begin.php");

$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );
$onpage = 'statistics_1.php?';
$opaction = 'statistics_1';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$onpage" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );

include("statistics_func.php");
include("statistics_head.php");

if (!$_GET['sosa'] AND $_GET['top30'] ) $itag = '' ; 
if ($_GET['top30'] ) $itag = $_GET['top30']; 
if ($_GET['sosa'] ) $itag .= ' - sosa' ; 

// if ($tree) {$treestring = "WHERE gedcom = \"$tree\""; $treestring2 = "AND gedcom = \"$tree\""; }
// else {$treestring = "WHERE gedcom != \"\""; $treestring2 = "AND gedcom != \"\""; }

echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);
?>

<!-- moved header to statistics_head -->
<link href="css/c3.css" rel="stylesheet">
<script src="js/d3.min.js"></script>
<script src="js/c3.min.js"></script>
<div style="display:inline-block">
<?php

$header = "";
$headerr = $enableminimap ? " data-tablesaw-minimap" : "";
$headerr .= $enablemodeswitch ? " data-tablesaw-mode-switch" : "";

if($sitever != "standard") {
	if($tabletype == "toggle") $tabletype = "columntoggle";
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"100%\" style=\"maxwidth: 350px\" class=\"tablesaw whiteback normal\" data-tablesaw-mode=\"$tabletype\"{$headerr}>\n";
} else {
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"500\" class=\"whiteback normal\">";
}

echo $header;
$locale = locale_set();
?>
	<thead>
		<tr>
		<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['description']; ?>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback align-right fieldname" width="30%" align="center">&nbsp;<?php echo $text['quantity']; ?>&nbsp;</th>
		</tr>
	</thead>
<?php
$query = "SELECT lastimportdate, treename, secret FROM $trees_table WHERE gedcom = \"$tree\"";
$result = tng_query($query);
$treerow = tng_fetch_array( $result, 'assoc' );
$lastimportdate = $treerow['lastimportdate'];

$query = "SELECT count(id) as pcount FROM $people_table $nwherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalpeople = $row['pcount'];
tng_free_result($result);

$query = "
SELECT q.yr, allcount
FROM 
(
Select w.yr as yr, sum(w.ccount) as allcount
FROM
(
	SELECT t.yr as yr, t.ccount           
        FROM 
			(
            SELECT substr(birthdatetr,1,4) as yr, COUNT(personID) as ccount 
            FROM $people_table
            WHERE birthdatetr != 0 $qwherestr3 GROUP BY substr(birthdatetr,1,4) ORDER BY COUNT(substr(birthdatetr,1,4)) DESC 
            ) t
UNION

        SELECT u.yr as yr, u.ccount           
        FROM 
			(
            SELECT substr(altbirthdatetr,1,4) as yr, COUNT(personID) as ccount 
            FROM $people_table
            WHERE altbirthdatetr != 0 AND birthdatetr = 0 $qwherestr4 GROUP BY substr(altbirthdatetr,1,4) ORDER BY COUNT(substr(altbirthdatetr,1,4)) DESC 
            ) u
) w 
GROUP BY w.yr
ORDER BY w.yr
) q

ORDER BY q.allcount DESC
LIMIT 1
";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$bestyear = $row['yr'];
$bestyearc = $row['allcount'];
tng_free_result($result);

$query = "SELECT familyID, MAX(ccount) as ccount FROM (SELECT familyID, COUNT(personID) as ccount FROM $children_table $smwherestr GROUP BY familyID ORDER BY COUNT(personID) DESC ) t ";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$maxchildren = $row['ccount'];
$maxf = $row['familyID'];
			$gotfather = getParentData($tree, $maxf, "husband");
			$fathrow =  tng_fetch_assoc( $gotfather );
			$frights = determineLivingPrivateRights($fathrow, $righttree);
			$fathrow['allow_living'] = $frights['living'];
			$fathrow['allow_private'] = $frights['private'];
			if( $fathrow['firstname'] || $fathrow['lastname'] ) 
			{
			$fathname = getName( $fathrow );
			if( $frights['both'] ) $fatherlink = "<a href=\"$getperson_url" . "personID={$fathrow['personID']}&amp;tree=$tree\">$fathname</a>";
			else $fatherlink = "<a href=\"$getperson_url" . "personID={$fathrow['personID']}&amp;tree=$tree\">{$text['Example']}</a>";
			}
			if ($fatherlink != '') $fatText = "(" . $text['Example'] . " - " . $fatherlink . ")"; 

$query = "SELECT (COUNT(personID) / COUNT(DISTINCT familyID)) avgc FROM $children_table $vmwherestr";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$averagechildren = intnum_format(round($row['avgc'], 2), $locale);

// $query = "SELECT ( ( (SELECT COUNT(husband) FROM $families_table WHERE husband != '') + (SELECT COUNT(wife) FROM $families_table WHERE wife != '') ) / COUNT(DISTINCT familyID) ) avgp FROM tng_families $wherestr";
// $result = tng_query($query);
// $row = tng_fetch_assoc( $result );
// $averageparents = intnum_format($row['avgp'], $locale);

$query = "SELECT COUNT(id) as nomom FROM $families_table WHERE wife = '' $mwherestr2 ";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$nmom = $row['nomom'];
$nomom = intnum_format($row['nomom'], $locale);

$query = "SELECT COUNT(id) as nodad FROM $families_table WHERE husband = '' $mwherestr2 ";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$ndad = $row['nodad'];
$nodad = intnum_format($row['nodad'], $locale);

$query = "SELECT COUNT(id) as divorced FROM $families_table WHERE divdate != '' $mwherestr2 ";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$divorced = intnum_format($row['divorced'], $locale);

$query = "SELECT count(id) as fcount FROM $families_table $mwherestr";
$result = tng_query($query);
$row = tng_fetch_assoc( $result );
$totalfamilies = $row['fcount'];
tng_free_result($result);

$query = "SELECT count(DISTINCT ucase(lastname)) as lncount
   FROM $people_table $nwherestr";
$result =  tng_query($query);
$row = tng_fetch_array($result);
$uniquesurnames = intnum_format($row['lncount'], $locale);
tng_free_result($result);

$totalmedia = array();
foreach( $mediatypes as $mediatype ) {
	$mediatypeID = $mediatype['ID'];
	if( $tree ) {
		$query = "SELECT count(distinct mediaID) as mcount FROM $media_table
	    WHERE mediatypeID = \"$mediatypeID\" AND (gedcom = \"$tree\" OR gedcom = \"\")";
	}
	else
		$query = "SELECT count(mediaID) as mcount FROM $media_table WHERE mediatypeID = \"$mediatypeID\" $wherestr2 ";
	$result =  tng_query($query);
	$row = tng_fetch_assoc( $result );
	$totalmedia[$mediatypeID] = $row['mcount'];
//	$tm = intnum_format($tm + $row['mcount'], $locale);
	tng_free_result($result);
}

$query = "SELECT count(id) as scount FROM $sources_table $wherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalsources = intnum_format($row['scount'], $locale);
tng_free_result($result);

$query = "SELECT count(citationID) as ccount FROM $citations_table $wherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalcitations = intnum_format($row['ccount'], $locale);
tng_free_result($result);

$query = "SELECT count(ID) as pcount FROM $places_table $wherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalplaces = intnum_format($row['pcount'], $locale);
tng_free_result($result);

$query = "SELECT count(ID) as ncount FROM $xnotes_table $wherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalnotes = intnum_format($row['ncount'], $locale);
tng_free_result($result);

$query = "SELECT count(id) as pcount FROM $people_table WHERE sex = 'M' $nwherestr2";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$males = $row['pcount'];
tng_free_result($result);

$query = "SELECT count(id) as pcount FROM $people_table WHERE sex = 'F' $nwherestr2";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$females = $row['pcount'];
tng_free_result($result);

$unknownsex = $totalpeople - $males - $females;

$query = "SELECT count(id) as pcount FROM $people_table WHERE living != 0 $nwherestr2";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$living = $row['pcount'];
$numliving = intnum_format($living, $locale);
$numdeceased = $totalpeople - $living;
tng_free_result($result);

$query = "SELECT personID, firstname, lnprefix, lastname, birthdate, altbirthdate, gedcom, living, private, branch
    FROM $people_table
    WHERE (YEAR(birthdatetr) != '0' OR YEAR(altbirthdatetr) != '0') $qwherestr
    ORDER BY IF(birthdatetr != '0000-00-00',birthdatetr,altbirthdatetr) LIMIT 1";
$result =  tng_query($query);
$firstbirth = tng_fetch_array($result);
$firstbirthpersonid = $firstbirth['personID'];
$firstbirthfirstname = $firstbirth['firstname'];
$firstbirthlnprefix = $firstbirth['lnprefix'];
$firstbirthlastname = $firstbirth['lastname'];
$firstbirthdate = $firstbirth['birthdate'] ? $firstbirth['birthdate'] : $firstbirth['altbirthdate'];
$firstbirthgedcom = $firstbirth['gedcom'];

$rights = determineLivingPrivateRights($firstbirth);
$firstallowed = $rights['both'];

tng_free_result($result);

$query = "SELECT YEAR( deathdatetr ) - YEAR(IF(birthdatetr !='0000-00-00',birthdatetr,altbirthdatetr))
	AS yearsold, DAYOFYEAR( deathdatetr ) - DAYOFYEAR(IF(birthdatetr !='0000-00-00',birthdatetr,altbirthdatetr)) AS daysold,
	IF(DAYOFYEAR(deathdatetr) and DAYOFYEAR(IF(birthdatetr !='0000-00-00',birthdatetr,altbirthdatetr)),TO_DAYS(deathdatetr) - TO_DAYS(IF(birthdatetr !='0000-00-00',birthdatetr,altbirthdatetr)),(YEAR(deathdatetr) - YEAR(IF(birthdatetr !='0000-00-00',birthdatetr,altbirthdatetr))) * 365) as totaldays
    FROM $people_table
    WHERE (birthdatetr != '0000-00-00' OR altbirthdatetr != '0000-00-00') AND deathdatetr != '0000-00-00'
		AND (birthdate not like 'AFT%' OR altbirthdate not like 'AFT%') AND deathdate not like 'AFT%'
		AND (birthdate not like 'BEF%' OR altbirthdate not like 'BEF%') AND deathdate not like 'BEF%'
		AND (birthdate not like 'ABT%' OR altbirthdate not like 'ABT%') AND deathdate not like 'ABT%'
		AND (birthdate not like 'BET%' OR altbirthdate not like 'BET%') AND deathdate not like 'BET%'
		AND (birthdate not like 'CAL%' OR altbirthdate not like 'CAL%') AND deathdate not like 'CAL%'
		$nwherestr2
    ORDER BY totaldays DESC";
$result =  tng_query($query);
$numpeople = 0;
$avgyears = 0;
$avgdays = 0;
$totyears = 0;
$totdays = 0;

if(!isset($CUTOFF_YEARS))
	$CUTOFF_YEARS = 2; //remove from the stats if less than 2 years old

while( $line = tng_fetch_array($result, 'assoc') )
{
	$yearsold = $line['yearsold'];
	$daysold = $line['daysold'];

	if( $daysold < 0 ) {
		if ($yearsold > 0) {
			$yearsold--;
			$daysold = 365 + $daysold;
		}
	}
	if($yearsold >= $CUTOFF_YEARS) {
		$totyears += $yearsold;
		$numpeople++;
		$totdays += $daysold;
	}
}
$avgyears = $numpeople ? $totyears / $numpeople : 0;

// convert the remainder from $avgyears to days
$avgdays = ($avgyears - floor($avgyears)) * 365;

// add the number of averge days calculated from $totdays
$avgdays += $numpeople ? $totdays / $numpeople : 0;

// if $avgdays is more than a year, we've got to adjust things!
if ($avgdays > 365) {
    // add the number of additional years $avgdaysgives us
	$avgyears += floor($avgdays/365);

    //change $avgdays to days left after removing multiple
    //years' worth of days.
	$avgdays = $avgdays - (floor($avgdays/365) * 365);
}
$avgyears = floor($avgyears);
$avgdays = floor($avgdays);

tng_free_result($result);

$percentmales = intnum_format($totalpeople ? round(100 * $males / $totalpeople, 2) : 0, $locale);
$percentfemales = intnum_format($totalpeople ? round(100 * $females / $totalpeople, 2) : 0, $locale);
$percentunknownsex = intnum_format($totalpeople ? round(100 * $unknownsex / $totalpeople, 2) : 0, $locale);
$percentnomom = intnum_format($totalfamilies ? round(100 * $nmom / $totalfamilies, 2) : 0, $locale);
$percentnodad = intnum_format($totalfamilies ? round(100 * $ndad / $totalfamilies, 2) : 0, $locale);

$people = $totalpeople;
$totalpeople = intnum_format($people, $locale);
$totalfamilies = intnum_format($totalfamilies, $locale);
$fmt_males = intnum_format($males, $locale);
$fmt_females = intnum_format($females, $locale);
$fmt_unknownsex = intnum_format($unknownsex, $locale);
$fmt_numdeceased = intnum_format($numdeceased, $locale);

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$searchurl&nbsp;<b>{$text['individuals']}&nbsp;$itag</b></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\"><b>$totalpeople &nbsp;</b></span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- " . $text['earliestbirth'];
if($firstallowed)
	echo " (<a href=\"$getperson_url" . "personID=$firstbirthpersonid&amp;tree=$firstbirthgedcom\">$firstbirthfirstname $firstbirthlnprefix $firstbirthlastname</a>)";
echo "&nbsp;</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">" . displayDate( $firstbirthdate ) . " &nbsp;</span></td></tr>\n";

$mbstats = $searchbegearly . "&mybirthyear=$bestyear" . $searchend;
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$mbstats&nbsp;- {$text['mostbirths']} $bestyear<sup><font size=\"1\">1</font></sup></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$bestyearc &nbsp;</span></td></tr>\n";

$file = dirname(__FILE__) . '/surnames_statistics.php';
if (file_exists($file)) $sstats = "<a href=\"surnames_statistics.php?place=" . $_GET['top30'] . "&sosa=" . $_GET['sosa'] . "&dp=" . $_GET['dp'] . " \" >" . $searchimg . "</a>";
else $sstats = "<a href=\"surnames.php?place=" . $_GET['top30'] . "&sosa=" . $_GET['sosa'] . "&dp=" . $_GET['dp'] . " \" >" . $searchimg  . "</a>";
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$sstats&nbsp;- {$text['totuniquesn']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$uniquesurnames &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['avglifespan']}<sup><font size=\"1\">2</font></sup></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$avgyears {$text['years']}, $avgdays {$text['days']} &nbsp;</span></td></tr>\n";

$malesearch = $searchbeg . "&mygender=M" . $searchend;
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$malesearch&nbsp;- {$text['totmales']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$fmt_males ($percentmales%) &nbsp;</span></td></tr>\n";

$femalesearch = $searchbeg . "&mygender=F" . $searchend;
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$femalesearch&nbsp;- {$text['totfemales']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$fmt_females ($percentfemales%) &nbsp;</span></td></tr>\n";

$unknownsearch = $searchbeg . "&mygender=U" . $searchend;
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$unknownsearch&nbsp;- {$text['unknown']} </span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$fmt_unknownsex ($percentunknownsex%) &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['living']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$numliving &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$fsearchurl&nbsp;<b>{$text['families']}&nbsp;$itag</b></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\"><b>$totalfamilies &nbsp;</b></span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['avgc']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$averagechildren&nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['bigfamily']} $fatText</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$maxchildren {$text['children']}&nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['nomom']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$nomom ($percentnomom%)&nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp- {$text['nodad']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$nodad ($percentnodad%)&nbsp;</span></td></tr>\n";

$divorcesearch = $fsearchbeg . "&mydivplace=&dvpqualify=exists" . $fsearchend;
echo "<tr><td class=\"databack\"><span class=\"normal\">&nbsp;$divorcesearch&nbsp;- {$text['divorced']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$divorced &nbsp;</span></td></tr>\n";

foreach( $mediatypes as $mediatype ) {
$mediatypeID = $mediatype['ID'];
//	$titlestr = $text[$mediatypeID] ? $text[$mediatypeID] : $mediatypes_display[$mediatypeID];
//	echo "<tr><td class=\"databack\"><span class=\"normal\">- $titlestr</span></td>\n";
$tm2 = $tm2 + $totalmedia[$mediatypeID];
}
$tm2 = number_format($tm2);
echo "<tr><td class=\"databack\"><span class=\"normal\"><b>{$text['total']} {$text['media']}</b></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\"><b>$tm2 &nbsp;</b></span></td></tr>\n";

$media_data = $media_names = array();
$index = 0;
foreach( $mediatypes as $mediatype ) {
	$mediatypeID = $mediatype['ID'];
	$titlestr = $text[$mediatypeID] ? $text[$mediatypeID] : $mediatypes_display[$mediatypeID];
	echo "<tr><td class=\"databack\"><span class=\"normal\">- $titlestr</span></td>\n";
	echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">" . number_format($totalmedia[$mediatypeID]) . " &nbsp;</span></td></tr>\n";
	array_push($media_data,$totalmedia[$mediatypeID]);
	array_push($media_names,$titlestr);
	if($index < 16)
		$index++;
	else
		$index = 0;
}

echo "<tr><td class=\"databack\"><span class=\"normal\"><b>{$text['moretotals']}</b></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\"><b>&nbsp;</b></span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">- <a href=\"browsesources.php\" >{$text['sources']}</a></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$totalsources &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">- {$text['citations']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$totalcitations &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">- {$text['notes']}</span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$totalnotes &nbsp;</span></td></tr>\n";

echo "<tr><td class=\"databack\"><span class=\"normal\">- <a href=\"places.php\" >{$text['places']}</a></span></td>\n";
echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">$totalplaces &nbsp;</span></td></tr>\n";

if( $tngconfig['lastimport'] && $treerow['treename'] && $lastimportdate ) {
	echo "<tr><td class=\"databack\"><span class=\"normal\">" . $text['lastimportdate'] . "</span></td>\n";

	$importtime = strtotime($lastimportdate);
	if(substr($lastimport,11,8) != "00:00:00")
		$importtime += ($time_offset * 3600);
	$importdate = strftime("%d %b %Y %H:%M:%S",$importtime);

	echo "<td class=\"databack\" align=\"right\"><span class=\"normal\">" . displayDate( $importdate ) . " &nbsp;</span></td></tr>\n";
}
?>
</table>
<br />
<?php
echo $header;
?>
	<thead>
		<tr>
		<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['longestlived']; ?><sup><font size="1">1</font></sup>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback align-right fieldname" width="30%" align="center">&nbsp;<?php echo $text['age']; ?>&nbsp;</th>
		</tr>
	</thead>
<?php
$query = "SELECT personID, firstname, lnprefix, lastname, gedcom, living, private, branch, YEAR( deathdatetr ) - YEAR( birthdatetr )
	AS yearsold, DAYOFYEAR( deathdatetr ) - DAYOFYEAR( birthdatetr ) AS daysold,
	IF(DAYOFYEAR(deathdatetr) and DAYOFYEAR(birthdatetr),TO_DAYS(deathdatetr) - TO_DAYS(birthdatetr),(YEAR(deathdatetr) - YEAR(birthdatetr)) * 365) as totaldays
    FROM $people_table
    WHERE birthdatetr != '0000-00-00' AND deathdatetr != '0000-00-00' $wherestr2
		AND birthdate not like 'AFT%' AND deathdate not like 'AFT%'
		AND birthdate not like 'BEF%' AND deathdate not like 'BEF%'
		AND birthdate not like 'ABT%' AND deathdate not like 'ABT%'
		AND birthdate not like 'BET%' AND deathdate not like 'BET%'
		AND birthdate not like 'CAL%' AND deathdate not like 'CAL%'
		$nwherestr2 
    ORDER BY totaldays DESC LIMIT 10";
$result =  tng_query($query);
$numpeople = tng_num_rows($result);

while ($line = tng_fetch_array($result, 'assoc'))
{
	$personid = $line['personID'];
	$firstname = $line['firstname'];
	$lnprefix = $line['lnprefix'];
	$lastname = $line['lastname'];
	$yearsold = $line['yearsold'];
	$daysold = $line['daysold'];
    $gedcom = $line['gedcom'];

	$rights = determineLivingPrivateRights($line);
	$allowed = $rights['both'];

	if( $daysold < 0 ) {
		if ($yearsold > 0) {
			$yearsold--;
			$daysold = 365 + $daysold;
		}
	}
	echo "<tr><td valign=\"top\" class=\"databack\"><span class=\"normal\"><a href=\"$getperson_url" . "personID=$personid&amp;tree=$gedcom\">";
	if($allowed)
		echo "$firstname $lnprefix $lastname";
	elseif($line['private'])
		echo $admtext['text_private'];
	else
		echo $text['living'];
	echo "</a></span></td>\n";
	echo "<td valign=\"top\" class=\"databack\" align=\"right\"><span class=\"normal\">";
	if( $yearsold )
		echo number_format($yearsold) . " " . $text['years'];
	if( $daysold )
		echo " $daysold " . $text['days'];
	echo " &nbsp;</span></td></tr>\n";
}
echo "</table>\n";

echo "<br/><br/>\n";
$width = $sitever == "standard" ? "500" : "100%";
echo "<table width=\"$width\" cellpadding=\"3\" cellspacing=\"1\" border=\"0\" class=\"whiteback\">\n";
echo "<tr><td  valign=\"top\" class=\"fieldnameback\"><span class=\"fieldname\"><sup><font size=\"1\">1</font></sup>&nbsp;</span></td>";
echo "<td class=\"databack\"><span class=\"normal\">{$text['searchdisclaim']}</span></td></tr>";
echo "<tr><td  valign=\"top\" class=\"fieldnameback\"><span class=\"fieldname\"><sup><font size=\"2\">1</font></sup>&nbsp;</span></td>";
echo "<td class=\"databack\"><span class=\"normal\">{$text['agedisclaimer']}</span></td></tr>";
echo "</table>\n";
tng_free_result($result);

if( $tree && !$treerow['secret'] ) {
	echo "<br/>\n";
	echo "<span class=\"normal\"><a href=\"$showtree_url" . "tree=$tree\">{$text['treedetail']}</a></span>\n";
	echo "<br/>\n";
}

echo "<br/>\n";
?>
</div>
<div id="charts" style="display:inline-block; width:400px; vertical-align:top">
	<div id="gender_chart"></div>
	<div id="living_chart"></div>
	<div id="media_chart"></div>
</div>
<script type="text/javascript">
var gender_chart = c3.generate({
    bindto: '#gender_chart',
    data: {
        columns: [
            ['data1', <?php echo $males; ?>],
            ['data2', <?php echo $females; ?>],
            ['data3', <?php echo $unknownsex; ?>]
        ],
        type : 'pie',
        names: {
            data1: "<?php echo $text['totmales'] . " ($fmt_males)"; ?>",
            data2: "<?php echo $text['totfemales'] . " ($fmt_females)"; ?>",
            data3: "<?php echo $text['totunknown'] . " ($fmt_unknownsex)"; ?>"
        },
        colors: {
            data1: '#00aaff',
            data2: '#ff99cc',
            data3: '#009900'
        }
    }
});
var living_chart = c3.generate({
    bindto: '#living_chart',
    data: {
        columns: [
            ['data1', <?php echo $living; ?>],
            ['data2', <?php echo $people - $living; ?>]
        ],
        type : 'pie',
        names: {
            data1: "<?php echo $text['totliving'] . " ($numliving)"; ?>",
            data2: "<?php echo $text['totdeceased'] . " ($fmt_numdeceased)"; ?>"
        },
        colors: {
            data1: '#990000',
            data2: '#000099'
        }
    }
});
var media_chart = c3.generate({
    bindto: '#media_chart',
    data: {
        columns: [
<?php
	$count = 0;
	$tot_media_data = count($media_data);
	$indexed = array();
	foreach($media_data as $data) {
		$indexed[$count] = $data;
		$count++;
		$comma = $count != $tot_media_data ? "," : "";
		echo "['data{$count}', $data]{$comma}\n";
	}
?>
        ],
        type : 'pie',
        names: {
<?php
	$count = 0;
	$tot_media_names = count($media_names);
	foreach($media_names as $name) {
		$total = $indexed[$count];
		$count++;
		$comma = $count != $tot_media_names ? "," : "";
		echo "data{$count}: \"{$name} ({$total})\"{$comma}\n";
	}
?>
        }
    }
});
</script>
<?php
tng_footer( "" );
?>