<?php
$textpart = "stats";
include("tng_begin.php");
$bytime = 2; $aug = 100; $timeperiod = $text['bycentury'];
if ($_GET['bytime'] == 3) {$bytime = 3; $timeperiod = $text['bydecade']; $aug = 10; }
$sosa = 'no';

$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );

$onpage = 'statistics_centuries.php?';
$opaction = 'statistics_centuries';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$statistics_url" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );

include("statistics_head.php");
include("statistics_func.php");
global $events_table, $eventtypes_table, $people_table;

echo "<h2>" . $text['numind'] . " " . $timeperiod . "</h2>";

echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);

?>
<style>
#chart .c3-line-data2 {
  stroke-width: 5px;
}
svg { position: absolute !important }
</style>

<link href="css/c3.css" rel="stylesheet">
<script src="js/d3.min.js"></script>
<script src="js/c3.min.js"></script>
<div style="display:inline-block;min-height: 800px;">

<?php

$query = "SELECT count(id) as pcount FROM $people_table $nwherestr";
$result =  tng_query($query);
$row = tng_fetch_assoc( $result );
$totalpeople = $row['pcount'];
tng_free_result($result);

// Century Count
if ($_GET['lifespan'] == 'yes') 
{
$query = "
SELECT 
substr(IF(deathdatetr >0, deathdatetr, burialdatetr),1,$bytime) as century, 
count(IF(deathdatetr >0, deathdatetr, burialdatetr)) as cencount, 
floor(avg(datediff(
	IF(deathdatetr >0, deathdatetr, burialdatetr) , 
	IF(birthdatetr >0, birthdatetr, altbirthdatetr) 
		)/365)) as years, 
floor(mod(avg(datediff(
	IF(deathdatetr >0, deathdatetr, burialdatetr) , 
	IF(birthdatetr >0, birthdatetr, altbirthdatetr) 
		)/365),1)*365) as days 
FROM $people_table 
WHERE (birthdatetr >0 OR altbirthdatetr >0) 
AND (deathdatetr >0 OR burialdate > 0)
$nwherestr2
GROUP BY substr(IF(deathdatetr >0, deathdatetr, burialdatetr),1,$bytime) 
ORDER BY substr(IF(deathdatetr >0, deathdatetr, burialdatetr),1,$bytime) DESC
";
$col2 = $text['averagelifespans'];
$titler = $text['lifespan in Years'];
echo "<table width='300'><th class=\"fieldnameback fieldname\" align=\"left\">&nbsp;" . $timeperiod . "<br>(" .$text['deaths'] . ")</th><th class=\"fieldnameback fieldname\" align=\"left\" >&nbsp;" . $col2 . "&nbsp;</th><th class=\"fieldnameback fieldname\" align=\"right\" ># &nbsp;</th>";
}
else 
{
$query = "SELECT substr(birthdatetr,1,$bytime) as century, count(birthdatetr) as cencount FROM $people_table WHERE `birthdatetr` is not null AND birthdatetr != 0 $nwherestr2 Group by substr(birthdatetr,1,$bytime) ORDER BY substr(birthdatetr,1,$bytime) DESC";
$col2 = $text['allindivs'];
$titler = $text['numind'];
echo "<table width='300' ><th class=\"fieldnameback fieldname\" align=\"left\" >&nbsp;" . $timeperiod . "<br>(" .$text['births'] . ") </th><th class=\"fieldnameback fieldname\" align=\"right\">#&nbsp;</th>";
}

$result =  tng_query($query);
foreach ($result as $cenrow)
	{
 $crow = $cenrow['century'];

if ($_GET['lifespan'] == 'yes') $querya = "SELECT substr(altbirthdatetr,1,2) as century, count(altbirthdatetr) as adds, floor(avg(datediff(deathdatetr,altbirthdatetr)/365)) as years, floor(mod(avg(datediff(deathdatetr,altbirthdatetr)/365),1)*365) as days FROM $people_table WHERE substr(altbirthdatetr,1,$bytime) = $crow AND `altbirthdatetr` != 0 AND birthdatetr = 0 AND deathdatetr !=0 $nwherestr2 Group by substr(birthdatetr,1,$bytime) ORDER BY substr(birthdatetr,1,$bytime) DESC";
else $querya = " SELECT count(altbirthdatetr) as adds FROM $people_table WHERE substr(altbirthdatetr,1,$bytime) = $crow AND `altbirthdatetr` is not null AND altbirthdatetr != 0 AND birthdatetr = 0 $nwherestr2 ";
$resulta =  tng_query($querya);
$alts = tng_fetch_array($resulta);

if ($_GET['lifespan'] == 'yes') 
{
$icount = $cenrow['cencount'];
// $tcen = floor(($cenrow['years']*$cenrow['adds'] + $alts['years']*$alts['adds'])/$icount);
$tcen = $cenrow['years'];
//$tdays = floor(($cenrow['days']*$cenrow['adds'] + $alts['years']*$alts['adds'])/$icount);
$tdays = $cenrow['days'];
}
else $tcen = $cenrow['cencount'] + $alts['adds'] ; 
	if ($lastcen)
	{
		if ($lastcen - $cenrow['century'] != 1 AND $lastcen - $cenrow['century'] > 0 AND ($icount OR $tcen) ) 
        {
        $x = $lastcen - $cenrow['century'];
			for ($i = 1; $i < $x; $i++)		{ 
			$newcen = $lastcen - $i; 
			if ($_GET['lifespan'] != 'yes' ) 
				{
				$emptyrow = 1;
				$atd .= $newcen*$aug . ", ";
				$atn .= "0 ,";
				}
			}
        } 	
	}

$tp = $cenrow['century']*$aug+$nby-1;
$ep = $newcen*$aug+$nby-1; 
if ($_GET['lifespan'] == 'yes' ) $forwhat = '&mydeathyear=' . $tp .'&dyqualify=pm' . $nby . '&mybirthyear=&byqualify=exists'; 
else $forwhat = '&mybirthyear=' . $tp . '&byqualify=pm' . $nby; 
$search_url = $searchbeg . $forwhat . $searchend; 
$search_empty_url = $searchbeg . '&mybirthyear=' . $ep . '&byqualify=pm' . $nby . $searchend; 
if ($emptyrow == 1) echo "<tr><td class=\"databack\">&nbsp;" . $search_empty_url . "&nbsp;" . $newcen*$aug . "</td><td align=\"right\" class=\"databack\">0&nbsp;</td></tr>";
$emptyrow = 0;
if ($_GET['lifespan'] == 'yes' AND $icount >= 1 AND $tcen >= 1 )
echo "<tr><td class=\"databack\">&nbsp;" . $search_url . "&nbsp;" . $cenrow['century']*$aug . "</td><td class=\"databack\">&nbsp;" . $tcen . " " . $text['years'] . " " . $tdays . " " . $text['days'] . "</td><td class=\"databack\" align=\"right\" >" . $icount . "&nbsp;</td></tr>";
else if ($_GET['lifespan'] != 'yes' AND $tcen >= 1 ) echo "<tr><td class=\"databack\">&nbsp;" . $search_url . "&nbsp;" . $cenrow['century']*$aug . "</td><td class=\"databack\" align=\"right\" >" . $tcen . "&nbsp;</td></tr>";

if ($tcen >= 1 )
	{
	$atd .= $cenrow['century']*$aug . ", ";
	$atn .= $tcen . " ,";
	}
$totalcen = $totalcen + $tcen;
$lifetotal = $lifetotal + $icount;
$lastcen = $cenrow['century'];	
	}

if ($_GET['lifespan'] == 'yes') {
$totalcen = $lifetotal; 
$cfix = '<td class="fieldnameback fieldname" ></td>'; 
$cfix2 = '<td class="databack" ></td>'; 
}

$totundates = $totalpeople - $totalcen; 

echo "<b><tr><td class=\"fieldnameback fieldname\" style=\"font-weight:bold\" >&nbsp;" . $text['totals'] . "</td>" . $cfix . "<td align=\"right\" class=\"fieldnameback fieldname\" style=\"font-weight:bold\">" . $totalcen . "&nbsp;</td></tr></b>";
echo "<tr><td class=\"databack\" style=\"color:red\" >&nbsp;" . $text['insufficient'] . "</td>" . $cfix2 . "<td align=\"right\" class=\"databack\" style=\"color:red\" >" . $totundates . "&nbsp;</td></tr>";
echo "<b><tr><td class=\"fieldnameback fieldname\" style=\"font-weight:bold\" >&nbsp;" . $text['totals'] . "</td>" . $cfix . "<td align=\"right\" class=\"fieldnameback fieldname\" style=\"font-weight:bold\">" . $totalpeople . "&nbsp;</td></tr></b>";

echo "</table>";
if ($_GET['lifespan'] == 'yes') $suptext = $text['avglifespan'];
echo search_disclaimer($text['searchdisclaim'], $suptext);
$atd = rtrim($atd, ',');
$atn = rtrim($atn, ',');
$stn = rtrim($stn, ',');
tng_free_result($result);

echo "</div>";

?>
<div id="timecharts" style="display:inline-block; width:400px; vertical-align:top">
<?php
$url =  "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";
$url = str_replace('?bytime=3', '?', $url);
$url = str_replace('?bytime=2', '?', $url);
if (strpos($url, '?') !== false ) $ufix = '&'; else $ufix = '?';
$url = str_replace('&bytime=3', '', $url);
$url = str_replace('&bytime=2', '', $url);
$escaped_url = htmlspecialchars( $url, ENT_QUOTES, 'UTF-8' );
$url =  "//{$_SERVER['HTTP_HOST']}{$_SERVER['REQUEST_URI']}";
$url = str_replace('?lifespan=yes', '?', $url);
if (strpos($url, '?') !== false ) $newufix = '&'; else $ufix = '?';
$url = str_replace('&lifespan=yes', '', $url);
$newescaped_url = htmlspecialchars( $url, ENT_QUOTES, 'UTF-8' );
echo '<style>.bytimes{color:black;background-color:white; border-top:black; border-bottom: black, border:right: 0pc; border:left: 0px;margin-left:15px;}</style>';
if ($_GET['lifespan'] == 'yes' ) $lmsg = ' & ' . $text['averagelifespans'];
if ($bytime == '3' ) echo '&nbsp;&nbsp;<span >&nbsp;&nbsp;' . $text['bydecade'] . $lmsg . '&nbsp;&nbsp;</span>';
if ($bytime == '2' ) echo '&nbsp;&nbsp;<span >&nbsp;&nbsp;' . $text['bycentury'] . $lmsg . '&nbsp;&nbsp;</span>';
if ($bytime == '2' ) echo '<a href="' . $escaped_url . $ufix . 'bytime=3"><button class="bytimes">' . $text['bydecade'] . '</button></a>';
if ($bytime == '3' ) echo '<a href="' . $escaped_url . $ufix . 'bytime=2"><button class="bytimes">' . $text['bycentury'] . '</button></a>';
if ($_GET['lifespan'] != 'yes' ) echo '<a href="' . $newescaped_url . $newufix . 'lifespan=yes" ><button class="bytimes">' . $text["averagelifespans"] . '</button></a>';
if ($_GET['lifespan'] == 'yes' ) echo '<a href="' . $newescaped_url . '" ><button class="bytimes" >' . $text["allindivs"]. '</button></a>';
?>
	<div id="cen_chart"></div>
</div>

<div height="300px" ></div>

<script type="text/javascript">

var sosa_chart = c3.generate({
    bindto: '#cen_chart',
    
    data: {
        x: 'x',
        columns: [
            ['x', <?php echo $atd; ?> ],
            [<?php echo "'" . $col2 . "'," . $atn; ?> ]
        ],
      
    },
    axis: {
        x: {
            label: <?php echo "'" . $timeperiod . "'"; ?>
        },
        y: {
            label: <?php echo "'" . $titler . "'"; ?>
        }    
     }
});

</script>


<?php
tng_footer( "" );
?>