<?php
$textpart = "stats";
include("tng_begin.php");

$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );

$onpage = 'statistics_jobs.php?';
$opaction = 'statistics_jobs';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$onpage" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );

include("statistics_head.php");
include("statistics_func.php");
global $events_table, $eventtypes_table, $people_table;

if (function_exists('get_jobid')) $occs = get_jobid();
else {
   echo 'You apparently do not have the mod "Display Job/Facts" installed.  This page requires it.';
   exit;
   }

echo "<h2>" . $text['IndOcc'] . "</h2>";

if ($_GET['sosa'] ) $add1 = "&sosa=" . $_GET['sosa'];
if ($_GET['top30'] ) $add1 .= "&top30=" . $_GET['top30'];
if ($_GET['surname'] ) $add1 .= "&surname=" . $_GET['surname'];
echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);

?>
<style>
#chart .c3-line-data2 {
  stroke-width: 5px;
}
</style>

<link href="css/c3.css" rel="stylesheet">
<script src="js/d3.min.js"></script>
<script src="js/c3.min.js"></script>
<div style="display:inline-block">
<?php

echo '<br>' . $text['professions'];

if($sitever != "standard") {
	if($tabletype == "toggle") $tabletype = "columntoggle";
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"100%\" style=\"maxwidth: 350px\" class=\"tablesaw whiteback normal\" data-tablesaw-mode=\"$tabletype\"{$headerr}>\n";
} else {
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"500\" class=\"whiteback normal\">";
}

echo $header;
?>
	<thead>
		<tr>
		<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['description']; ?>&nbsp;</th>
				<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['Jobs']; ?>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback fieldname" style="text-align:center;" width="30%" >&nbsp;<?php echo $text['people']; ?>&nbsp;</th>
		</tr>
	</thead>
<?php

$i = 1; $c = 1;
	$job = "SELECT info, SUBSTRING_INDEX(info, ' ', 3) as varnone, SUBSTRING_INDEX(info, ' - ', 1) as var, COUNT(*) as cnt FROM $events_table WHERE info != '' AND eventtypeID = $occs $jwherestr GROUP BY var ORDER BY cnt DESC LIMIT 50";
        $result =  tng_query($job);
           while( $line = tng_fetch_array($result, 'assoc') )
           {	
		   if (strpos($line['info'], " - ") === false )
		   {
		   $jv = $line['var'];
		   $nspec = $text['nocats'];
		   $pcat = $line['cnt'];
		   $jobly = "<a href=\"statistics_jobs_folks.php?jv=" . $jv . "&tree=" . $tree . "&type=nocat" . $add1 . "\" >" . $line['varnone'] . "</a>";   
		   $nslist .= $jobly . "(" . $line['cnt'] . "); "; 
		   $c = ++$c;
		   }
		   else 
		   {	
           $jlikestr = '"%' . tng_real_escape_string($line['var']) . ' - %"';
           $joblist = '';
           	$jsp = "SELECT MID(info, POSITION(' - ' IN info)+3,45) as prof, COUNT(*) as cnt FROM $events_table WHERE info LIKE $jlikestr AND eventtypeID = $occs $jwherestr GROUP BY prof ORDER BY prof ASC LIMIT 50";        	
           	$jspq =  tng_query($jsp);
        	        while( $line2 = tng_fetch_array($jspq, 'assoc') )
        	        {
        	        
        	         	if (strpos($line2['prof'], '...') !== false) $ijobs = substr($line2['prof'], 0, strpos($line2['prof'], " ...")); 		
	 		            else $ijobs = $line2['prof'];   
	 		               
        	        
	  					if (strpos($joblist, $ijobs) !== false ) 
	       					{
 	      					$njobcnt = $ljob + $line2['cnt'];
    	   					$njobs = $ijobs . "(" . $njobcnt . "); ";
	       	     			$joblist = str_replace($ljobs,$njobs,$joblist);
            	 			$ljobs = $njobs; $ljob = $njobcnt; 					     					
       						}
           	        
        	        
   						else 
       						{
        	        		$joblist .= $ijobs . "(" . $line2['cnt'] . "); ";
        	        		$ljobs = $ijobs . "(" . $line2['cnt'] . "); "; $ljob = $line2['cnt'];
           					}
           					
           			}
			if ($tree ) $stree = $tree; else $stree = '-x--all--x-';
	        echo "<tr><td class=\"databack\"><a href=\"statistics_jobs_type.php?jtype=" . $line['var'] . "&cnt=" . $line['cnt'] . "&tree=" . $stree . $add1 . " \" >" . $line['var'] . "</a></td>"; 
            echo '<td class=\"databack\"><span class=\"databack\" style="font-size:80%;">' . $joblist . '</span></td>';
			echo "<td class=\"databack\" align=\"center\" >" . $line['cnt'] . "&nbsp;</td>";
            echo '</tr>';
            }
           if ( $i >= 1 && $i < 6 ) { ${"j" . $i} = $line['cnt']; ${"jvar" . $i}  = $line['var']; }
 		   if ( $i >= 6 ) $jo = $jo + $line['cnt'];
 		   $jtotal = $jtotal + $line['cnt'];
 		   $i = ++$i;          
	       }
$jvaro = $text['other'];

$nj1 = number_format($j1); $nj2 = number_format($j2); $nj3 = number_format($j3); $nj4 = number_format($j5); $nj5 = number_format($j5); $njo = number_format($jo);
if ($nspec != '')
	        {
	        echo "<tr><td class=\"databack\">" . $nspec . "</td>"; 
            echo '<td class=\"databack\"><span class=\"databack\" style="font-size:80%;">' . $nslist . '</span></td>';
			echo "<td class=\"databack\" align=\"center\" >" . $c . "&nbsp;</td>";
            echo '</tr>';
            }    

echo '</table>';
?>
</div>

<div id="charts" style="display:inline-block; width:400px; vertical-align:top">
<?php if ($j2) echo '<div style="text-align:center;" ><h3>' . $text['totalrec'] . ' ' . $text['Jobs'] . ' = ' . $jtotal . '</div>'; ?>
	<div id="job_chart"></div>
</div>

<script type="text/javascript">
var job_chart = c3.generate({
    bindto: '#job_chart',
    data: {
        columns: [
            ['data1', <?php echo $j1; ?>],
            ['data2', <?php echo $j2; ?>],
            ['data3', <?php echo $j3; ?>],
            ['data4', <?php echo $j4; ?>],
            ['data5', <?php echo $j5; ?>],
            ['data6', <?php echo $jo; ?>]
        ],
        type : 'pie',
        names: {
            data1: "<?php echo $jvar1 . " ($nj1)"; ?>",
            data2: "<?php echo $jvar2 . " ($nj2)"; ?>",
            data3: "<?php echo $jvar3 . " ($nj3)"; ?>",
            data4: "<?php echo $jvar4 . " ($nj4)"; ?>",
            data5: "<?php echo $jvar5 . " ($nj5)"; ?>",
            data6: "<?php echo $jvaro . " ($njo)"; ?>"
        },
        colors: {
            data1: '#5DA5DA',
            data2: '#FAA43A',
            data3: '#60BD68',
            data5: '#B276B2',
            data5: '#DECF3F',
            data6: '#F15854'
        }
    }
});

</script>






<?php
tng_footer( "" );
?>