<?php

$textpart = "stats";
include("tng_begin.php");
if (function_exists('get_jobid')) $occs = get_jobid();
else {
   echo $text['jobsmsg'];
   exit;
   }
$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );

$onpage = 'statistics_jobs_folks.php?';
$opaction = 'statistics_jobs_folks';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$onpage" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );
$jv = $_GET['jv'];
$jtype = $_GET['type'];
$pcnt = $_GET['cnt'];

include("statistics_head.php");
include("statistics_func.php");
global $events_table, $eventtypes_table, $people_table;

if ($tree == '' ) $add1 = 'tree=-x--all--x-'; else $add1 = 'tree=' . $tree;
if ($_GET['sosa'] ) $add1 .= "&sosa=" . $_GET['sosa'];
if ($_GET['top30'] ) $add1 .= "&top30=" . $_GET['top30'];

if ($jtype == 'nocat') echo '<h2><a href="statistics_jobs.php?' . $add1 . '" >' . $text['occupations'] . '</a> &#8594; ' . $jv . ' ( ' . $tree . ')</h2>'; 
else echo '<h2><a href="statistics_jobs.php?' . $add1 . '" >' . $text['occupations'] . '</a> &#8594; <a href="statistics_jobs_type.php?' . $add1 . '&jtype=' . stripcslashes($jtype ) . '&cnt=' . $pcnt . '" >'. stripcslashes($jtype ) . '</a> &#8594; ' . stripcslashes($jv ) . ' ( ' . $tree . ')</h2>'; 

echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);

?>

<div style="display:inline-block">
<?php

if($sitever != "standard") {
	if($tabletype == "toggle") $tabletype = "columntoggle";
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"200\" style=\"maxwidth: 350px\" class=\"tablesaw whiteback normal\" data-tablesaw-mode=\"$tabletype\"{$headerr}>\n";
} else {
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" width=\"500\" class=\"whiteback normal\">";
}
echo $header;
?>
	<thead>
		<tr>
		<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['Jobs']; ?>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback fieldname" >&nbsp;<?php echo $text['info']; ?>&nbsp;</th>
		</tr>
	</thead>

<?php
if ($_GET['top30'] != '' ) 
{
echo '<h3>' . $_GET['top30'] . ' ' . $somsg . '</h3>';
}
    $jlikestr = ' LIKE "%' . stripslashes($jv) . '%"';
	$query = "SELECT info, persfamID, eventdate, eventplace, gedcom as ntree FROM $events_table WHERE eventtypeID = $occs AND info $jlikestr $jwherestr ";
//echo $query;
	$result =  tng_query($query);
	foreach ($result as $job)
	{
			$presult = getPersonData($job['ntree'], $job['persfamID']);
			$prow =  tng_fetch_assoc( $presult );
			$prights = determineLivingPrivateRights($prow, $job['ntree']);
			$prow['allow_living'] = $prights['living'];
			$prow['allow_private'] = $prights['private'];
			if ($prights['both'] AND $lp != $prow['personID'] ) {
				$jv_eval = " - " . stripslashes($jv);
				if ( $job['info'] == stripslashes($jv) OR strpos($job['info'], $jv_eval ) != false ) 
				{
				$sortme .= $prow['lastname']. $prow['firstname'];
				$sortme .= "&&-&<tr><td class=\"databack\" >";
				$sortme .= "<a href ='getperson.php?personID=" . $prow['personID'] . "&amp;tree=" . $job['ntree'] . "'> " . $prow['firstname'] . " " . $prow['lastname'] . "</a>";
				if ($job['eventdate'] || $job['eventplace']) {$bline ='('; $eline = ')'; }
				else {$bline = '';  $eline = ''; }
				if ($job['eventdate'] && $job['eventplace']) $comma ='; '; 
				else $comma = '';
				$sortme .= "<i> " . $bline . $job['eventdate'] . $comma . $job['eventplace'] . $eline . "</i>";
				$sortme .= "<td class=\"databack\" >" . $job['info'] . "</td></tr>&&-&&";
				}
			}
			else if ($lp != $prow['personID'] ) 
			{
				$sortme .= 'NI&&-&Living&&-&&<br>';
            }
            $lp = $prow['personID'];
	}		

$jeval = explode("&&-&&", $sortme);
sort($jeval);
	foreach ($jeval as $jval)
	{          				
	$jc = substr($jval, strpos($jval, "&&-&") + 4);  
	if ($jc != '' )
		{   
		echo $jc;
		}
	}

echo '</table>';

?>
</div>




<?php
tng_footer( "" );
?>