<?php

$textpart = "stats";
include("tng_begin.php");

$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$getperson_url = getURL( "getperson", 1 );
$showtree_url = getURL( "showtree", 1 );
$statistics_url = getURL( "statistics", 1 );

$onpage = 'statistics_veterans_folks.php?';
$opaction = 'statistics_veterans_folks';

$treestr = $tree ? " ({$text['tree']}: $tree)" : "";
$logstring = "<a href=\"$onpage" . "tree=$tree\">" . xmlcharacters($text['databasestatistics'] . $treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['databasestatistics'], $flags );


include("statistics_head.php");
include("statistics_func.php");
global $events_table, $eventtypes_table, $people_table;

if ($tree == '' ) $add1 = 'tree=-x--all--x-'; else $add1 = 'tree=' . $tree;
if ($_GET['sosa'] ) $add1 .= "&sosa=" . $_GET['sosa'];
if ($_GET['top30'] ) $add1 .= "&top30=" . $_GET['top30'];
echo "<h2><a href=\"statistics_veterans.php?" . $add1 . "\" >" . $text['veterans'] . "</a> &#8594;" . $text['veterans'] . " - " . $jv . " (" . $tree . ")</h2>"; 
if ($_GET['sosa'] == 'yes' ) $somsg = $text['marksosa'];

echo stats_filter($tree, $_GET['top30'], $_GET['surname'], $_GET['sosa'], $somsg, $t30p);
$vs = $_GET['vs'];
$jv = $_GET['jv'];

?>

<div style="display:inline-block">
<?php

global $events_table;

$tabletype = "toggle";

if($sitever != "standard") {
	if($tabletype == "toggle") $tabletype = "columntoggle";
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" class=\"tablesaw whiteback normal\" data-tablesaw-mode=\"$tabletype\"{$headerr}>\n";
} else {
	$header = "<table cellpadding=\"3\" cellspacing=\"1\" border=\"0\" class=\"whiteback normal\">";
}

echo $header;

?>
	<thead>
		<tr>
		<th data-tablesaw-priority="persist" class="fieldnameback fieldname">&nbsp;<?php echo $text['veterans']; ?>&nbsp;</th>
		<th data-tablesaw-priority="1" class="fieldnameback fieldname" >&nbsp;<?php echo $text['info']; ?>&nbsp;</th>
		</tr>
	</thead>
<?php

if ($_GET['top30'] != '' ) 
{
echo '<h3>' . $_GET['top30'] . '</h3>';
}

if ($vs != '') 
{ // only do if not an empty variable
	$query = "SELECT info, persfamID, eventdate, eventplace, gedcom FROM $events_table WHERE eventtypeID = $vs $jwherestr ";
	$result =  tng_query($query);
	foreach ($result as $vet)
	{
			$presult = getPersonData($vet['gedcom'], $vet['persfamID']);
			$prow =  tng_fetch_assoc( $presult );
			$prights = determineLivingPrivateRights($prow, $vet['gedcom']);
			$prow['allow_living'] = $prights['living'];
			$prow['allow_private'] = $prights['private'];
			if ($prights['both'] ) 
			{
			$sortme .= $prow['lastname']. $prow['firstname'];
			$sortme .= "&&-&<tr><td class=\"databack\" >";
			$sortme .= "<a href ='getperson.php?personID=" . $prow['personID'] . "&amp;tree=" . $vet['gedcom'] . "'> " . $prow['firstname'] . " " . $prow['lastname'] . "</a>&nbsp;&nbsp;</td>";
				if ($vet['eventdate'] || $vet['eventplace']) {$eline = '<br>'; }
				else {$bline = '';  $eline = ''; }
				if ($vet['eventdate'] && $vet['eventplace']) $comma ='; '; 
				else $comma = '';
			$sortme .= "<td class=\"databack\" >";
			$sortme .= "" . $vet['eventdate'] . $comma . $vet['eventplace'] . $eline . "";
			$sortme .= $vet['info'] . "</td></tr>&&-&&";
			}
	}		

$jeval = explode("&&-&&", $sortme);
sort($jeval);
	foreach ($jeval as $jval)
	{          				
	$jc = substr($jval, strpos($jval, "&&-&") + 4);  
	if ($jc != '' )
		{   
		echo $jc;
		}
	}


echo "</table>";

} //end check for empty variable

?>
</div>


<?php
tng_footer( "" );
?>